<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>Uses of Class ticket.Ticket</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class ticket.Ticket";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Ticket.html" title="class in ticket">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class ticket.Ticket" class="title">Uses of Class<br>ticket.Ticket</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<div class="useSummary">
<table>
<caption><span>Packages that use <a href="../Ticket.html" title="class in ticket">Ticket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#unnamed.package">&lt;Unnamed&gt;</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#controller">controller</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#ticket">ticket</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="unnamed.package">
<!--   -->
</a>
<h3>Uses of <a href="../Ticket.html" title="class in ticket">Ticket</a> in <a href="../../package-summary.html">&lt;Unnamed&gt;</a></h3>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../package-summary.html">&lt;Unnamed&gt;</a> that return <a href="../Ticket.html" title="class in ticket">Ticket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../Ticket.html" title="class in ticket">Ticket</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Test.</span><code><span class="memberNameLink"><a href="../../Test.html#getTicketByType(controller.TicketTypeController,java.lang.String,boolean)">getTicketByType</a></span>&#8203;(<a href="../../controller/TicketTypeController.html" title="class in controller">TicketTypeController</a>&nbsp;typeController,
               java.lang.String&nbsp;type,
               boolean&nbsp;vipSuplement)</code></th>
<td class="colLast">
<div class="block">Return a type indicate ticket with ramdon date and ramdon person number.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../Ticket.html" title="class in ticket">Ticket</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Test.</span><code><span class="memberNameLink"><a href="../../Test.html#getTicketFamily(controller.TicketTypeController)">getTicketFamily</a></span>&#8203;(<a href="../../controller/TicketTypeController.html" title="class in controller">TicketTypeController</a>&nbsp;typeController)</code></th>
<td class="colLast">
<div class="block">Return a family ticket with ramdon date</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../package-summary.html">&lt;Unnamed&gt;</a> with parameters of type <a href="../Ticket.html" title="class in ticket">Ticket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Test.</span><code><span class="memberNameLink"><a href="../../Test.html#addRideAttraction(ticket.Ticket,controller.AttractionController)">addRideAttraction</a></span>&#8203;(<a href="../Ticket.html" title="class in ticket">Ticket</a>&nbsp;ticket,
                 <a href="../../controller/AttractionController.html" title="class in controller">AttractionController</a>&nbsp;attractionController)</code></th>
<td class="colLast">
<div class="block">Add to ride attraction statistics all ticket persons</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Test.</span><code><span class="memberNameLink"><a href="../../Test.html#configAdult(ticket.Ticket,boolean,boolean)">configAdult</a></span>&#8203;(<a href="../Ticket.html" title="class in ticket">Ticket</a>&nbsp;ticket,
           boolean&nbsp;createPerson,
           boolean&nbsp;vipSupplement)</code></th>
<td class="colLast">
<div class="block">Configure or create a new adult person into ticket</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Test.</span><code><span class="memberNameLink"><a href="../../Test.html#configChildren(ticket.Ticket,boolean)">configChildren</a></span>&#8203;(<a href="../Ticket.html" title="class in ticket">Ticket</a>&nbsp;ticket,
              boolean&nbsp;vipSupplement)</code></th>
<td class="colLast">
<div class="block">Add new infant person into ticket</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section role="region"><a id="controller">
<!--   -->
</a>
<h3>Uses of <a href="../Ticket.html" title="class in ticket">Ticket</a> in <a href="../../controller/package-summary.html">controller</a></h3>
<div class="useSummary">
<table>
<caption><span>Fields in <a href="../../controller/package-summary.html">controller</a> declared as <a href="../Ticket.html" title="class in ticket">Ticket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../Ticket.html" title="class in ticket">Ticket</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TicketAddController.</span><code><span class="memberNameLink"><a href="../../controller/TicketAddController.html#ticket">ticket</a></span></code></th>
<td class="colLast">
<div class="block">Structure with the data of the entrance of the group of people.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../Ticket.html" title="class in ticket">Ticket</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TicketTypeController.</span><code><span class="memberNameLink"><a href="../../controller/TicketTypeController.html#ticket">ticket</a></span></code></th>
<td class="colLast">
<div class="block">Structure with the data of the entrance of the group of people.</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Fields in <a href="../../controller/package-summary.html">controller</a> with type parameters of type <a href="../Ticket.html" title="class in ticket">Ticket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="../Ticket.html" title="class in ticket">Ticket</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TicketController.</span><code><span class="memberNameLink"><a href="../../controller/TicketController.html#ticketList">ticketList</a></span></code></th>
<td class="colLast">
<div class="block">List of issuance tickets</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../controller/package-summary.html">controller</a> that return <a href="../Ticket.html" title="class in ticket">Ticket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../Ticket.html" title="class in ticket">Ticket</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TicketAddController.</span><code><span class="memberNameLink"><a href="../../controller/TicketAddController.html#getTicket()">getTicket</a></span>()</code></th>
<td class="colLast">
<div class="block">Get structure with the data of the entrance of the group of people</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../Ticket.html" title="class in ticket">Ticket</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TicketTypeController.</span><code><span class="memberNameLink"><a href="../../controller/TicketTypeController.html#getTicket()">getTicket</a></span>()</code></th>
<td class="colLast">
<div class="block">Structure with the data of the entrance of the group of people.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../Ticket.html" title="class in ticket">Ticket</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TicketTypeController.</span><code><span class="memberNameLink"><a href="../../controller/TicketTypeController.html#newTicketFromType(java.lang.String)">newTicketFromType</a></span>&#8203;(java.lang.String&nbsp;type)</code></th>
<td class="colLast">
<div class="block">Return new intance of ticket type indicated.</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../controller/package-summary.html">controller</a> with parameters of type <a href="../Ticket.html" title="class in ticket">Ticket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">StatisticsController.</span><code><span class="memberNameLink"><a href="../../controller/StatisticsController.html#accumulateTicket(ticket.Ticket)">accumulateTicket</a></span>&#8203;(<a href="../Ticket.html" title="class in ticket">Ticket</a>&nbsp;ticket)</code></th>
<td class="colLast">
<div class="block">Accumulate quantities and amounts into assistance statistic</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TicketController.</span><code><span class="memberNameLink"><a href="../../controller/TicketController.html#addTicket(ticket.Ticket)">addTicket</a></span>&#8203;(<a href="../Ticket.html" title="class in ticket">Ticket</a>&nbsp;ticket)</code></th>
<td class="colLast">
<div class="block">Add and counted in the statistics a new ticket</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">StatisticsController.</span><code><span class="memberNameLink"><a href="../../controller/StatisticsController.html#desacumulateTicket(ticket.Ticket)">desacumulateTicket</a></span>&#8203;(<a href="../Ticket.html" title="class in ticket">Ticket</a>&nbsp;ticket)</code></th>
<td class="colLast">
<div class="block">Desacumulate quantities and amounts into assistance statistic</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section role="region"><a id="ticket">
<!--   -->
</a>
<h3>Uses of <a href="../Ticket.html" title="class in ticket">Ticket</a> in <a href="../package-summary.html">ticket</a></h3>
<div class="useSummary">
<table>
<caption><span>Subclasses of <a href="../Ticket.html" title="class in ticket">Ticket</a> in <a href="../package-summary.html">ticket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../TicketAfternoon.html" title="class in ticket">TicketAfternoon</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../TicketFamily.html" title="class in ticket">TicketFamily</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../TicketGeneral.html" title="class in ticket">TicketGeneral</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../TicketLaborable.html" title="class in ticket">TicketLaborable</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../package-summary.html">ticket</a> with parameters of type <a href="../Ticket.html" title="class in ticket">Ticket</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Ticket.</span><code><span class="memberNameLink"><a href="../Ticket.html#copyFromTicket(ticket.Ticket)">copyFromTicket</a></span>&#8203;(<a href="../Ticket.html" title="class in ticket">Ticket</a>&nbsp;ticket)</code></th>
<td class="colLast">
<div class="block">Copy custom attributes into current ticket from param ticket</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">TicketFamily.</span><code><span class="memberNameLink"><a href="../TicketFamily.html#copyFromTicket(ticket.Ticket)">copyFromTicket</a></span>&#8203;(<a href="../Ticket.html" title="class in ticket">Ticket</a>&nbsp;ticket)</code></th>
<td class="colLast">
<div class="block">Copy custom attributes into current ticket from param ticket</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Ticket.html" title="class in ticket">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
